gd_free_entry_strings(3)

NAME
gd_free_entry_strings — free strings in a GetData gd_entry_t object

SYNOPSIS
#include <getdata.h>

gd_entry_t *gd_free_entry_strings(gd_entry_t *entry);

DESCRIPTION
The function frees the character strings found in the gd_entry_t object which were previously allocated by a call to After freeing a string, the associated pointer is set to NULL. If is NULL, this function does nothing.

If non-NULL, must point to a valid and properly initialised gd_entry_t object, such as that returned by By default, strings are deallocated by calling on each, but a different memory manager may be specified by calling before calling this function.

See for a description of the gd_entry_t data type.

RETURN VALUE
The function always returns its input,

NOTES
This function is provided as a convenience only. The caller may deallocate the strings in the gd_entry_t object provided by itself simply by calling the deallocator on the each initialised string member, if they prefer to do so.

HISTORY
The function appeared in GetData-0.3.0.

In GetData-0.7.0, this function was renamed to

SEE ALSO